hosting:cms:drupal:db-driver

Различия

Показаны различия между двумя версиями страницы.

Ссылка на это сравнение

Предыдущая версия справа и слева Предыдущая версия
Следующая версия
Предыдущая версия
hosting:cms:drupal:db-driver [2019/09/18 15:14]
karlov
hosting:cms:drupal:db-driver [2020/06/05 16:27] (текущий)
Строка 1: Строка 1:
 ====== 2.13.5.8. Изменение драйвера БД в Drupal ====== ====== 2.13.5.8. Изменение драйвера БД в Drupal ======
  
-Для подключения к базе данных MySQL может использоваться несколько видов драйверов, а именно — [[https://www.php.net/manual/ru/book.mysql.php|MySQL]], [[https://www.php.net/manual/ru/book.mysqli.php|MySQLi]], [[https://www.php.net/manual/ru/ref.pdo-mysql.php|PDO]].+Для подключения к базе данных MySQL может использоваться несколько видов драйверов, а именно — [[https://php.net/manual/ru/book.mysql.php|MySQL]], [[https://php.net/manual/ru/book.mysqli.php|MySQLi]], [[https://php.net/manual/ru/ref.pdo-mysql.php|PDO]].
  
-Изменение драйвера баз данных нужно производить непосредственно в конфигурационном файле сайта в настройках [[hosting:cms:drupal:db-connect|подключения к базе данных]]. В разных версиях Drupal используется свой способ указания драйвера.+Изменение драйвера баз данных нужно производить непосредственно в конфигурационном файле сайта в [[:hosting:cms:drupal:db-connect|настройках подключения к базе данных]]. В разных версиях Drupal используется свой способ указания драйвера.
  
 ===== Drupal 7-8 ===== ===== Drupal 7-8 =====
Строка 13: Строка 13:
 Измените строку:<code php>$db_url = 'XXXXX://логин:пароль@хост/база_данных';</code>Вместо ''XXXXX'' нужно указать подходящий драйвер. Измените строку:<code php>$db_url = 'XXXXX://логин:пароль@хост/база_данных';</code>Вместо ''XXXXX'' нужно указать подходящий драйвер.
  
-<note important+<alert type="warning"
-Драйвер ''MySQL'' не поддерживается в версиях PHP 5.5 и выше, а также полностью удалён, начиная с версии 7.0. Более детально данная информация предоставлена на [[https://www.php.net/manual/ru/intro.mysql.php|официальном сайте]]+**Внимание!** Согласно [[https://php.net/manual/ru/intro.mysql.php|официальной документации]], драйвер MySQL не поддерживается в версиях PHP 5.5 и выше, а также полностью удалён, начиная с версии 7.0. 
-</note> +</alert>
- +
-===== Другие статьи ===== +
- +
-{{indexmenu>.#1|nsort tsort}}+
  • hosting/cms/drupal/db-driver.1568808877.txt.gz
  • Последнее изменение: 2019/09/18 15:14
  • karlov